+++
title = 'Что такое федивёрс?'
date = 2024-02-12T16:43:57Z
draft = false
+++

Вкратце: сеть из множества серверов, поднятых и оплачиваемых обычными энтузиастами – админами и программистами, заинтересованными в развитии федиверса.

Сервера передают друг другу данные по одному протоколу (наиболее известный – ActivityPub, он же AP, работает поверх HTTP), юзер может создать аккаунт на любом сервере и при этом читать или передавать данные другим серверам со своим акком.

Перейдём к более конкретным примерам, сейчас станет понятнее.

Наверняка вы слышали про платформу микроблоггинга Mastodon, о которой говорили как о замене твиттера. Сервера мастодона общаются по ActivityPub.

Я поднял инстанс на домене `sc.dc09.ru` и создал себе аккаунт [@darkcat09@sc.dc09.ru](https://sc.dc09.ru/users/darkcat09) (так пишутся хэндлы/юзернеймы в ActivityPub, да). Со своего сервера я могу подписаться на людей с других серверов, например, `mastodon.ml`, `infosec.exchange`, и следить за новыми постами от них – как в соцсетях, только децентрализованно. Реакции и лайки (звёздочки) в наличии. Если напишу пост, его увидят подписчики, и он появится в "локальной ленте" моего сервера.

При желании обратиться к российскому сообществу тегайте бота `@rf@mastodon.ml` (нужно предварительно подписаться на него), он перешлёт ваш пост в свою ленту и подписчики бота его увидят.
Либо можно тегать `@ru@lor.sh`, там уже подписка необязательно, а сообщество тоже многочисленное.

Свой инстанс – для личного использования. Большинство всё равно регистриуются на публичных серверах, на вышеупомянутых mml и infosec, например. Есть модерация, а заявки на создания аккаунтов аппрувают админы. Не согласны с правилами сервера или не хотите ждать аппрува? Хостите свой сервер. Кстати, админы инстансов могут блокировать другие инстансы целиком (обычно из-за NSFW или ещё чего похуже). Но если _вдруг_ вы оказались забанены одним сервером, с других вас всё ещё могут читать, естественно.

На сервер необязательно ставить Mastodon, он довольно тяжёлый (Ruby). Для других серверов без разницы, какой софт используется у вас.
- Есть Pleroma, написанная на Elixir/Erlang, полностью совместимая с API мастодона, с некоторыми своими фичами вроде предпросмотра поста. Пользуюсь как раз ей.
- Akkoma – форк плеромы с раширенной разметкой.
- Misskey – софт из тройки наиболее используемых и любимых (Mastodon, Pleroma, Misskey). Подробнее не расскажу, не пробовал.
- Ещё альтернатива – GoToSocial, на Go, не совсем удобный конфиг, нет Markdown, зато относительно лёгкий.
- И самый минималистичный – snac2, написанный на Си и хранящий данные в файлах, а не БД, что эффективнее на инстансах с одним-двумя юзерами.

Но, конечно, федиверс – не только про микроблоги. Не менее известен PeerTube, федеративный видеохостинг. Прмимо загрузки видео с конвертацией поддерживает стримы. Комментировать можно через аккаунт на Mastodon/Pleroma/<другой софт>, потому как пиртьюб использует тот же протокол AP с теми же структурами данных. Это одно из главных преимуществ федиверса.

- Подкасты: Castopod
- Стриминг музыки: Funkwhale (как-то не зашло)
- Ещё один видеостриминг: Owncast
- Всё подряд (соцсеть, блог, CMS, вики, файлохостинг, галерея): Hubzilla
- Возвращаясь к соцсеятям, аналог инст**раму: PixelFed
- Аналог ф**сбуку/вк: Friendica
- Аналог реддиту: Lemmy

Ещё списочек: [awesome-fediverse](https://github.com/emilebosch/awesome-fediverse?tab=readme-ov-file#applications)  
Там не только ActivityPub, так что не удивляйтесь матриксу в списке (сервер Dendrite), он тоже федеративный, но со своим протоколом.
